/* // X-Small devices (portrait phones, less than 576px)
// No media query for `xs` since this is the default in Bootstrap */
body {
  font-size: 18px;
}

h2 {
  font-size: 36px;
  font-weight: 600;
  line-height: 120%;
}
h3 {
  font-weight: 600;
  font-size: 28px;
}
h4 {
  font-weight: 600;
  font-size: 24px;
}
h6 {
  color: #fdc800;
  border-radius: 30px;
  background: rgba(253, 200, 0, .1);
  padding: 10px 24px;
  font-size: 20px;
  font-weight: 500;
  display: inline-block;
  line-height: 1;
  margin-bottom: 20px;
}
a {
  text-decoration: none;
}

.navbar {
  padding-top: 15px;
  padding-bottom: 15px;
}
.navbar .logo-shape {
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  z-index: -1;
  background-color: #fdc800;
}
/* .navbar .navbar-brand {
  padding-right: calc(var(--bs-gutter-x) * .5);
  padding-left: calc(var(--bs-gutter-x) * .5);
} */
.brand-logo #brand-1 {
  font-size: 11px;
}
.brand-logo #brand-2 {
  font-size: 20px;
  font-weight: 600;
}
.brand-logo #logo-1 {
  width: 40px;
  height: 18px;
  position: relative;
  top: 0px;
  padding: 0px;
  margin-left: 10px;
}
.brand-logo #logo-2 {
  width: 50px;
  height: 25px;
  position: relative;
  top: -2px;
  padding: 0px;
  margin-left: 3px;
}

.navbar.bg-body-tertiary {
  background-color: white !important;
}

.navbar .navbar-nav .nav-link {
  font-size: 1.2rem;
  padding-left: 1rem;
  padding-right: 1rem;
}


.carousel .carousel-item {
  height: 100%;
}

.carousel .carousel-item img {
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.carousel .carousel-item::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.3); /* Black overlay with 60% opacity */
}

.carousel .carousel-caption {
  z-index: 999;
}
.carousel .carousel-caption h5 {
  font-size: 44px;
  color: #fdc800;
}
.carousel .carousel-caption p {
  font-size: 18px;
  color: white;
}

section {
  padding: 40px 0px;
}

#about-us .round-img {
  overflow: hidden;
  border: 15px solid rgba(253, 200, 0, .3);
}
#about-us #img-1 {
  position: absolute;
  left: 15px;
  top: 90px;
  width: 350px;
  height: 450px;
  border-radius: 300px;
}

#about-us #img-1 img {
  height: 110%;
  position: relative;
  right: 300px;
  bottom: 30px;
}
#about-us #img-2 {
  position: absolute;
  top: 15px;
  right: 15px;
  width: 200px;
  height: 200px;
  border-radius: 200px;
}
#about-us #img-2 img {
  height: 150%;
  position: relative;
  right: 70px;
  bottom: 20px;
}
#about-us #img-3 {
  position: absolute;
  top: 420px;
  left: 15px;
  width: 170px;
  height: 170px;
  border-radius: 200px;
}
#about-us #img-3 img {
  height: 120%;
  position: relative;
  right: 20px;
  bottom: 10px;
}
#about-us p.about-text {
  margin-top: 25px;
  text-indent: 2em; 
}
#about-us .subtitle {
  font-size: 20px;
  font-weight: 600;
}
#about-us .subtitle img {
  position: relative;
  top: -3px;
  padding-right: 3px;
}
#about-us p.content {
  margin-top: 5px;
  text-indent: 2em; 
}
#about-us ul.content {
  padding-left: 50px; 
}

.theme-btn {
  border-radius: 30px;
  background: rgba(0, 33, 71, 1);
  color: white;
  font-size: 18px;
  font-weight: 600;
  padding: 16px 6px 16px 24px;
}
.theme-btn i {
  margin-left: 10px;
  font-size: 20px;
  border-radius: 50%;
  padding: 6px;
  background-color: #fdc800;
  color: white;
}
.theme-btn:hover {
  color: #141519;
  background-color: white;
  border: 1px solid #6C706F;
}

#research-field {
  position: relative;
  background-image: url("../img/orange_wave_background.png");
  background-position: center top;
  background-repeat: no-repeat;
  background-size: cover;
  /* height: 900px; */
}
#research-field h2 {
  text-align: center;
  margin-bottom: 40px;
  color: white;
  font-weight: 600;
}
#research-field .container {
  padding: 150px 0px 100px 0px;
}
#research-field .round-img {
  overflow: hidden;
  width: 300px;
  height: 300px;
  border-radius: 50%;
  border: 15px solid rgba(255, 255, 255, 1);
  margin: 20px auto;
}
#research-field #research-img-1 {
  position: relative;
  right: 80px;
  height: 100%;
}
#research-field #research-img-2 {
  position: relative;
  height: 120%;
}
#research-field #research-img-3 {
  position: relative;
  right: 120px;
  height: 120%;
}
#research-field #research-img-4 {
  position: relative;
  height: 120%;
}
#research-field .title {
  text-align: center;
  font-size: 20px;
  font-weight: 600;
}
#research-field .subtitle {
  font-size: 18px;
  text-align: center;
}

#researcher .container {
  padding: 50px 0px 50px 0px;
  position: relative;
}
#researcher h2 {
  text-align: center;
  margin-bottom: 50px;
  font-weight: 600;
}
#researcher .see-all-btn {
  position: absolute;
  top: 105px;
  right: 15px;
}
#researcher .see-all-btn a {
  color: #fdc800;
}
#researcher .see-all-btn a:hover {
  color: #002147;
}
#researcher .swiper {
  width: 100%;
  height: 100%;
}
#researcher .swiper-button-next, .swiper-button-prev {
  color: #002147;
}
#researcher .card {
  padding-top: 15px;
  border: 0px;
  box-shadow: 0 6px 26px rgba(0, 0, 0, .04);
}
#researcher .card-image {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  overflow: hidden;
  margin: auto;
}
#researcher .card-title {
  text-align: center;
  font-weight: 600;
  margin: 10px 0px;
}
#researcher .card-text {
  text-align: center;
}
#researcher .researcher-interest {
  text-align: center;
  color: #616161;
  min-height: 40px;
  padding: 5px 5px;
}
#researcher .youtube-link, #researcher .qa-link {
  text-decoration: none;
  font-size: 14px;
  color: #aaaaaa;
  font-weight: 500;
  padding: 0px 5px;
}
#researcher .youtube-link:hover, #researcher .qa-link:hover {
  color: #141519;
}
#researcher .youtube-link i, #researcher .qa-link i {
  position: relative;
  top: 4px;
  color: red;
  font-size: 20px;
  margin-right: 5px;
}
#researcher .qa-link i {
  top: 2px;
  color: rgba(0, 33, 71, 1);
  font-size: 18px;
}

#researcher .theme-btn {
  display: block;
  margin: 0 auto;
  width: 160px;
  color: #141519;
  font-size: 16px;
  font-weight: 600;
  border-radius: 30px;
  border: 1px solid #6C706F;
  margin-top: 25px;
  background: transparent;
  margin: auto;
  padding: 10px 5px 10px 15px;
}
#researcher .theme-btn:hover {
  color: white;
  background-color: #002147;
}
#researcher .theme-btn i {
  margin-left: 5px;
  font-size: 18px;
  padding: 5px;
}
#introduction p {
  font-size: 20px;
}

footer {
  background-color: #002147;
  padding: 50px 0px 0px 0px;
}
footer .brand-logo {
  color: white;
  padding: 0px 15px 30px 0px;
}
footer h3 {
  color: white;
  font-size: 22px;
  font-weight: 700;
}
footer .single-footer {
  position: relative;
}
footer .single-footer .content {
  color: white;
}
footer .footer-title::after {
  content: '';
  position: absolute;
  border-top: 4px solid #fdc800;
  width: 40px;
  height: 3px;
  top: 40px;
  left: 0;
}
footer .link-container, footer .content {
  margin: 40px 0px;
}
footer .link-container .link {
  padding: 7px 0px;
}
footer .link-container .link a {
  color: white;
}
footer .copyright {
  border-top: 1px solid #273a50;
  text-align: left;
  color: white;
  padding: 15px 0px;
}
footer .copyright .logo {
  text-align: right;
}
footer .copyright .logo img {
  width: 50px;
  height: 50px;
  margin-left: 5px;
}

.banner {
  position: relative;
  background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url("../img/DSC00356_0.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  height: 300px;
}
.banner .content {
  padding: 100px 0 110px;
}
.banner .content h1 {
  color: white;
  font-size: 48px;
  font-weight: 500;
  margin-bottom: 10px;
  line-height: 1.1;
}
.banner .breadcrumb .breadcrumb-item a {
  color: #fdc800;
}
.banner .breadcrumb .breadcrumb-item.active {
  color: white;
}
.breadcrumb-item+.breadcrumb-item::before {
  color: white;
}
.page-content {
  padding-bottom: 30px;
}
.page-content h3 {
  margin-top: 30px;
}
.page-content p {
  text-indent: 2em;
}
.page-content p.card-text {
  text-indent: 0;
}
.page-content ol {
  padding-left: 50px;
}
.page-content ol.sub-list {
  padding-left: 20px;
}

.page-content .news-card {
  padding: 30px 0px 15px;
  border-bottom: 1px solid #c6c7c7;
}
.page-content .news-card:hover {
  border-color: #002147;
}
.page-content .news-card:hover h4 {
  color: #002147;
}
.page-content .news-card .news-tag {
  color: #fdc800;
  border-radius: 30px;
  background: rgba(253, 200, 0, .1);
  padding: 5px 10px;
  font-size: 14px;
  font-weight: 600;
  position: relative;
  bottom: 5px;
  margin-right: 5px;
}
.news-card p {
  text-indent: 0;
}

.typewriter {
  position: relative;
  top: 20px;
  width: 330px;
}
.typewriter h3 {
  font-size: 36px;
  overflow: hidden; /* 隱藏未出現的文字 */
  border-right: .15em solid #fdc800; /* 模擬游標 */
  white-space: nowrap; /* 強制文字不換行 */
  margin: 0 auto;
  font-weight: 700;
  /* text-shadow: -1px 0 #fdc800, 0 1px #fdc800, 1px 0 #fdc800, 0 -1px #fdc800; */
  /* text-shadow: 0 0 5px #fff, 0 0 10px #fff, 0 0 15px #fdc800, 0 0 40px #fdc800; */
  /* text-shadow: 2px 2px 1px rgba(253, 200, 0, .7); */
  /* letter-spacing: .15em;  */
}
.typewriter.animation h3 {
  /* 動態效果：打字動畫 + 游標閃爍 */
  animation: 
    typing 3.5s steps(40, end),
    blink-caret .75s step-end infinite;
}

/* 打字動畫：從寬度 0 變到 100% */
@keyframes typing {
  from { width: 0 }
  to { width: 100% }
}

/* 游標閃爍動畫 */
@keyframes blink-caret {
  from, to { border-color: transparent }
  50% { border-color: orange; }
}

/* // Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
  h2 {
    font-size: 44px;
  }

  #about-us #img-1 {
    top: 100px;
    left: 10%;
    width: 450px;
    height: 450px;
  }
  #about-us #img-1 img {
    height: 120%;
    position: relative;
    right: 300px;
    bottom: 30px;
  }
  #about-us #img-2 {
    right: 0px;

    /* animation: MoveLeftRight 1s linear infinite alternate; */
  }
  #about-us #img-3 {
    left: 0px;

    /* animation: MoveLeftRight 1s linear infinite alternate; */
  }

  .typewriter {
    position: relative;
    top: 30px;
  }
}

/* // Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
  #about-us #img-1 {
    top: 80px;
    left: 15%;
  }
  #about-us #img-2 {
    right: 15%;
  }
  #about-us #img-3 {
    left: 15%;
  }

}

/* // Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
  .navbar .logo-shape {
    border-bottom-right-radius: 40px;
    width: 45%;
  }
  .brand-logo #brand-1 {
    font-size: 14px;
  }
  .brand-logo #brand-2 {
    font-size: 24px;
  }
  .brand-logo #logo-1 {
    width: 70px;
    height: 25px;
    position: relative;
    top: 0px;
  }
  .brand-logo #logo-2 {
    width: 70px;
    height: 33px;
    padding-left: 0px;
    margin-left: 0px;
  }
  .carousel .carousel-item {
    height: 680px;
  }
  .carousel .carousel-caption h5 {
    font-size: 52px;
  }
  .carousel .carousel-caption p {
    font-size: 22px;
  }

  #about-us #img-1 {
    top: 80px;
    left: 0px;
  }
  #about-us #img-2 {
    right: 0px;
  }
  #about-us #img-3 {
    left: 0px;
  }
 
}

/* // X-Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
  .navbar .logo-shape {
    width: 40%;
  }
  #about-us #img-1 {
    top: 80px;
    left: 10%;
  }
  #about-us #img-2 {
    right: 15%;
  }
  #about-us #img-3 {
    left: 10%;
  }
}

/* // XX-Large devices (larger desktops, 1400px and up) */
@media (min-width: 1400px) {
  .carousel .carousel-item {
    height: 900px;
  }
  .carousel .carousel-caption h5 {
    font-size: 64px;
  }
  .carousel .carousel-caption p {
    font-size: 24px;
  }
  .typewriter {
    width: 360px;
  }
  .typewriter h3 {
    font-size: 42px;
  }
  
}

@keyframes MoveLeftRight {
  0% {
      transform: translateX(0); /* Start position */
  }
  100% {
      transform: translateX(-20px); /* Moves 20px up at the peak */
  }
}